package org.springblade.flow.engine.assembly;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 18:10
 */
@Data
public class BpmnExPropertyDTO extends BaseExPropertyDTO implements Serializable {
    /**
     * 流程定义级别的扩展属性
     */
    private GlobalExPropertyDTO globalExPropertyDTO;
    /**
     * 子流程的扩展属性
     */
    private CallActivityExPropertyDTO callActivityExPropertyDTO;
    /**
     * 连线的扩展属性
     */
    private SequenceFlowExPropertyDTO sequenceFlowExPropertyDTO;
    /**
     * userTask的扩展属性
     */
    private UserTaskExPropertyDTO userTaskExPropertyDTO;
    /**
     * serverTask的扩展属性
     */
    private ServiceTaskExPropertyDTO serviceTaskExPropertyDTO;


}
