package org.springblade.flow.visual.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@TableName("data_permission_user")
public class DataPermissionUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 用户ID
     */
    @NotNull(message = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;


    /**
     * 权限组ID
     */
    @NotNull(message = "权限组ID不能为空")
    @ApiModelProperty("权限组ID")
    private Integer dataPermId;

    /**
     * 是否直接设置
     */
    @NotNull(message = "是否直接设置")
    @ApiModelProperty("是否直接设置")
    private Integer userStatus;

}
