package org.springblade.flow.visual.base.model.template6;


import java.util.List;

import org.springblade.flow.model.visiual.TableModel;

import lombok.Data;

/**
 * 多表开发配置
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司（https://www.jnpfsoft.com）
 * @author JNPF开发平台组
 * @date 2021/3/16
 */
@Data
public class Template6Model {
    /**
     * 版本
     */
    private String version = "V3.1.0";
    /**
     * 版权
     */
    private String copyright;
    /**
     * 创建人员
     */
    private String createUser;
    /**
     * 创建日期
     */
    private String createDate;
    /**
     * 功能描述
     */
    private String description;
    /**
     * 子类功能名称
     */
    private String subClassName;
    /**
     * 主类功能名称
     */
    private String className;

    /**
     * tables
     */
    /**
     *  列表主表 - 字段集合
     */
    private List<ColumnListField> columnListFields;


    private String serviceDirectory;


    /**
     *  数据关联 - 集合
     */
    private List<TableModel> dbTableRelation;
}
