package org.springblade.flow.visual.base.model.template7;


import java.util.List;

import org.springblade.flow.model.visiual.fields.FieldsModel;
import org.springblade.flow.util.treeutil.SumTree;

import lombok.Data;

/**
 *
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司（https://www.jnpfsoft.com）
 * @author JNPF开发平台组
 * @date 2021/3/16
 */
@Data
public class HtmlModel extends SumTree {

    /**
     * 类型 栅格row,卡片card,子表table,主表mast
     */
    private String jnpfkey;
    /**
     * json原始名称
     */
    private String vmodel;
    /**
     * 主表属性
     */
    private FieldsModel fieLdsModel;
    /**
     * 子表list属性
     */
    private List<FieldsModel> tablFieLdsModel;
    /**
     * 控件宽度
     */
    private String span;
    /**
     * 结束
     */
    private String end="0";

}
