package org.springblade.flow.visual.onlinedev.common.dynamic;

import org.springblade.cube.enums.ViewColumnTypeEnum;

import lombok.Data;

/**
 * 表字段数据
 * 
 * @author william
 * @date 2022年9月22日 下午3:49:38
 */
@Data
public class TableFieldData {

	public TableFieldData(ViewColumnTypeEnum type, String field, String value) {
		super();
		this.type = type;
		this.field = field;
		this.value = value;
	}

	/**
	 * 数据类型
	 */
	private ViewColumnTypeEnum type;

	/**
	 * 字段名称
	 */
	private String field;

	/**
	 * 字段对应的值
	 */
	private String value;
}
