package org.springblade.flow.visual.onlinedev.model.OnlineDevListModel;

import java.util.List;

import org.springblade.flow.model.visiual.fields.options.ColumnOptionModel;

import lombok.Data;

/**
 *在线开发formData
 *
 * @author JNPF开发平台组
 * @version V3.2.0
 * @copyright 引迈信息技术有限公司（https://www.jnpfsoft.com）
 * @date  2021/8/2
 */
@Data
public class OnlineFieldsModel {
	private OnlineConfigModel config;
	private String vModel;
	private String vModelName;
	private Boolean multiple;
	private String placeholder;
	private SlotModel slot;
	private String options;
	private PropsFatherModel props;
	private String relationField;
	private List<ColumnOptionModel> columnOptions;
	private String modelId;
	private String interfaceId;
	private String propsValue;
	private String format;
	private String type;
}
