package org.springblade.flow.engine.assembly;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

import org.springblade.flow.engine.model.flowengine.shuntjson.childnode.FlowAssignModel;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 18:16
 * @desc
 * 如果使用调用活动也就意味着 审批设置就没用了, 因为具体的那个流程已经都配人了
 *
 */
@Data
public class CallActivityExPropertyDTO  extends BaseExPropertyDTO implements Serializable {
    /**
     * 子流程引擎id
     */
    private String flowId;
    /**
     * 数据传递
     */
    private List<FlowAssignModel> assignList;
    /**
     * 通知设置 1-站内信 2-邮箱 3-短信 4-钉钉 5-企业微信
     **/
    private List<String> messageType;
}
