package org.springblade.flow.engine.assembly.prop;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author:LoveMyOrange
 * @Description:
 * @Date:Created in 2022/4/12 19:59
 * @desc
 * 请求方式：GET
 * 请求参数：taskId、taskNodeId、handleStatus(撤回事件无此参数)
 * 处理状态：0-拒绝、1-同意
 */
@Data
public class UserTaskNodeEventDTO implements Serializable {
    /**
     * 节点撤回事件
     **/
    private Boolean hasActivityWithdrawEventEnable;
    private String activityWithdrawInterfaceType;
    private String activityWithdrawEventURL;

//    //审批节点审批事件 是否启用
    private Boolean hasActivityApprovalEventEnable;
//    //审批节点审批事件 接口类型
    private String activityApprovalEventInterfaceType;
//    //审批节点审批事件 接口URL
    private String activityApprovalEventURL;


    //////////////////////////////发起节点的事件
    //发起节点开始事件 是否启用
    private Boolean hasStartActivityStartEventEnable;
    //发起节点开始事件 接口类型
    private String startActivityStartEventInterfaceType;
    //发起节点开始事件 接口URL
    private String startActivityStartEventURL;

    //发起节点结束事件 是否启用
    private Boolean hasStartActivityEndEventEnable;
    //发起节点结束事件 接口类型
    private String startActivityEndEventInterfaceType;
    //发起节点结束事件 接口URL
    private String startActivityEndEventURL;

    //发起节点撤回事件 是否启用
    private Boolean hasStartActivityWithdrawEventEnable;
    //发起节点撤回事件 接口类型
    private String hasStartActivityWithdrawEventInterfaceType;
    //发起节点撤回事件的URL
    private String startActivityWithdrawEventURL;
}
