package org.springblade.flow.engine.model.flowengine;

import lombok.Data;

import java.util.List;

import org.springblade.flow.engine.entity.FlowTaskCirculateEntity;
import org.springblade.flow.engine.entity.FlowTaskEntity;
import org.springblade.flow.engine.entity.FlowTaskNodeEntity;
import org.springblade.flow.engine.entity.FlowTaskOperatorEntity;

/**
 * @author JNPF开发平台组
 * @version V3.1.0
 * @copyright 引迈信息技术有限公司
 * @date 2021/7/14 9:17
 */
@Data
public class FlowMsgModel {
    private FlowTaskEntity taskEntity;
    private List<FlowTaskNodeEntity> nodeList;
    private List<FlowTaskOperatorEntity> operatorList;
    private List<FlowTaskCirculateEntity> circulateList;
    private String msgTitel;
}
