package org.springblade.flow.engine.model.flowtask;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author LoveMyOrange
 * @create 2022-01-26 13:15
 */
@Data
@ApiModel("加签/减签的Model")
public class CounterSignModel {
    @ApiModelProperty("是否是会签的flag")
    private Boolean multiInstanceFlag=false;
    @ApiModelProperty("普通节点加签的人 一个List id")
    private List<String> candidateUsers;
    @ApiModelProperty("会签节点要加签的人 也就是id")
    private String user;
    @ApiModelProperty("加签还是减签 加签add 减签 remove")
    private String operator="add";
    @ApiModelProperty("当前taskId")
    private String taskId;
    @ApiModelProperty("执行实例id")
    private String executionId;
    @ApiModelProperty("当前节点key")
    private String taskDefinitionKey;
    
}
